#ifndef _MSIO_HL_H_
#define _MSIO_HL_H_

#include <stdbool.h>
#include <stdint.h>

bool msioHlSetRegAddrs(uint8_t firstRead, uint8_t numRead, uint8_t firstWrite, uint8_t numWrite);
bool msioHlRegsRead(uint8_t *out, uint8_t numRegs);
bool msioHlRegsWrite(const uint8_t *data, uint8_t numRegs);
bool msioHlSingleRegRead(uint8_t reg, uint8_t *out);
bool msioHlSingleRegWrite(uint8_t reg, uint8_t val);
bool msioHlCmd(uint8_t cmd);
bool msioHlCmdEx(uint8_t cmd, uint32_t addr, uint16_t count);
bool msioHlReadIntReg(uint8_t *intRegValP);

bool msioHlCmdEndWaitInt(uint32_t maxWaitTicks, uint8_t *intRegValP);		//waits for interrupt from stick. if intRegValP is non-NULL, status will be read
bool msioHlCmdEndWaitBusy(uint32_t maxWaitTicks, uint8_t *intRegValP);		//waits for interrupt from stick. if intRegValP is non-NULL, status will be read

#endif

